﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboBoxSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
            Occupations = new List<Occupation>();
            Occupations.Add(new Occupation() { Id =1,OccupationName = "SoftwareDeveloper"});
            Occupations.Add(new Occupation() { Id = 2, OccupationName = "AgriCulture" });
            Occupations.Add(new Occupation() { Id = 3, OccupationName = "Driver" });
            Contact = new Contact() { OccupationId = 3 };
        }

        public List<Occupation> Occupations { get; set; }
        public Contact Contact { get; set; }
        private void AutoComplete_OnSelectedValueChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {

        }

    }
    public class Occupation
    {
        public int Id { get; set; }
        public string OccupationName { get; set; }
    }

    public class Contact
    {
        public int OccupationId { get; set; }
    }

    }
